Update Customer Group

Updates a Customer Group.

Notes

Any combination of fields can be updated at once. Discount rules are treated in bulk. The entire set of rules is overwritten when a request is sent.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Customers | modify | `store_v2_customers` | | Customers | read-only | `store_v2_customers_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

customer_group_idstringRequired

Request

This endpoint expects an object.
namestringOptional
Name of the group.
is_defaultbooleanOptional
Determines whether new customers are assigned to this group by default.
category_accessobjectOptional
discount_ruleslist of objectsOptional
is_group_for_guestsbooleanOptional
Describes whether the group is for guests. There can only be one customer group for guests at a time.

Response

idinteger
ID of the customer group.
namestring
Name of the group.
is_defaultboolean
Determines whether new customers are assigned to this group by default.
category_accessobject
discount_ruleslist of objects
date_createdstring
Date on which the customer group was created.
date_modifiedstring
Date on which the customer group was last modified.
is_group_for_guestsboolean
Describes whether the group is for guests. There can only be one customer group for guests at a time.